summaryrefslogtreecommitdiffstats
path: root/source/l/v4l-utils
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-11-26 20:51:26 +0000
committer Eric Hameleers <alien@slackware.com>2023-11-26 22:30:15 +0100
commit1cec992e7fade6ffaa82ade4efdab413996857e4 (patch)
tree030dd2ba4841da3f9e0c3183495418003b87408e /source/l/v4l-utils
parentd39761cf9b4205e07a9f5f0f3540281299175c12 (diff)
downloadcurrent-1cec992e7fade6ffaa82ade4efdab413996857e4.tar.gz
current-1cec992e7fade6ffaa82ade4efdab413996857e4.tar.xz
Sun Nov 26 20:51:26 UTC 202320231126205126
d/perl-5.38.1-x86_64-1.txz: Upgraded. Upgraded: Authen-SASL-2.1700, IO-Socket-SSL-2.084, URI-5.21. l/pipewire-1.0.0-x86_64-1.txz: Upgraded. l/python-toml-0.10.2-x86_64-1.txz: Removed. I'm told gi-docgen was ported to python-tomli earlier this year, so we don't need this after all. Out it goes. Thanks to Heinz Wiesinger. l/v4l-utils-1.26.0-x86_64-1.txz: Upgraded. xfce/xfce4-whiskermenu-plugin-2.8.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/v4l-utils')
-rwxr-xr-xsource/l/v4l-utils/v4l-utils.SlackBuild41
1 files changed, 23 insertions, 18 deletions
diff --git a/source/l/v4l-utils/v4l-utils.SlackBuild b/source/l/v4l-utils/v4l-utils.SlackBuild
index 9fc5dd8d7..b7e6a3c38 100755
--- a/source/l/v4l-utils/v4l-utils.SlackBuild
+++ b/source/l/v4l-utils/v4l-utils.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2009 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2010, 2011, 2013, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2013, 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -79,24 +79,29 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Configure:
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --sysconfdir=/etc \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
--mandir=/usr/man \
- --infodir=/usr/info \
- --disable-static \
- --build=$ARCH-slackware-linux || exit 1
-
-# Build and install:
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# These shouldn't be used:
-rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Ddoxygen-doc=disabled \
+ -Ddoxygen-html=false \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -120,7 +125,7 @@ fi
# Add a documentation directory:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- COPYING* README* TODO \
+ COPYING* iINSTALL* README* TODO* \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history